Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.j3d
Class Object3DFactory

    java.lang.Object
      org.deegree.ogcwebservices.wpvs.j3d.Object3DFactory

    public class Object3DFactory

extends Object

Version:
  $Revision: 20594 $
Author:
  Andreas Poth, last edited by: $Author: rbezema $ $Revision: 20594 $, $Date: 2009-11-05 13:26:07 +0100 (Do, 05. Nov 2009) $

Constructor Summary
`Object3DFactory()`

Method Summary
`DefaultSurface` | `createSurface(Feature feature, Map<String,TexturedSurface> texturedShapes)` creates a Surface from the passed feature.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Object3DFactory

    public Object3DFactory()

Method Detail

### createSurface

    public DefaultSurface createSurface(Feature feature,
                                        Map<String,TexturedSurface> texturedShapes)

  creates a Surface from the passed feature. It is assumed the feature is simple, contains one surfac/polygon geometry and optional has material and/or texture informations. The GML schema for a valid feature is defined as:

          <xsd:schema targetNamespace="http://www.deegree.org/app" xmlns:app="http://www.deegree.org/app" xmlns:ogc="http://www.opengis.net/ogc" xmlns:deegreewfs="http://www.deegree.org/wfs" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:gml="http://www.opengis.net/gml" elementFormDefault="qualified" attributeFormDefault="unqualified">
              <xsd:import namespace="http://www.opengis.net/gml" schemaLocation="http://schemas.opengis.net/gml/3.1.1/base/feature.xsd"/>
               <xsd:import namespace="http://www.opengis.net/gml" schemaLocation="http://schemas.opengis.net/gml/3.1.1/base/geometryAggregates.xsd"/>
               <xsd:element name="WPVS" type="app:WPVSType" substitutionGroup="gml:_Feature"/>
               <xsd:complexType name="WPVSType">
                   <xsd:complexContent>
                       <xsd:extension base="gml:AbstractFeatureType">
                           <xsd:sequence>
                               <xsd:element name="fk_feature" type="xsd:double"/>
                               <xsd:element name="geometry" type="gml:GeometryPropertyType"/>
                               <xsd:element name="shininess" type="xsd:double" minOccurs="0"/>
                               <xsd:element name="transparency" type="xsd:double" minOccurs="0"/>
                               <xsd:element name="ambientintensity" type="xsd:double" minOccurs="0"/>
                               <xsd:element name="specularcolor" type="xsd:string" minOccurs="0"/>
                               <xsd:element name="diffusecolor" type="xsd:string" minOccurs="0"/>
                               <xsd:element name="emissivecolor" type="xsd:string" minOccurs="0"/>
                               <xsd:element name="texturemap" type="xsd:string" minOccurs="0"/>
                               <xsd:element name="texturecoordinates" type="xsd:string" minOccurs="0"/>
                               <xsd:element name="texturetype" type="xsd:string" minOccurs="0"/>
                               <xsd:element name="repeat" type="xsd:integer" minOccurs="0"/>
                           </xsd:sequence>
                       </xsd:extension>
                   </xsd:complexContent>
               </xsd:complexType>
           </xsd:schema>

  Parameters:
    `feature` -
    `texturedShapes` - which were loaded already
  Returns:
    a DefaultSurface which is a derivative of a Shape3D. NOTE, the surface is not yet 'compiled'.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org